import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6ImM5NjA2ZWE0LTNjMzYtNDhiMi1iNjA0LTZlMDkxMTExNjE3MSIsInVzZXJuYW1lIjoiYWRtaW4ifQ.EzQDbeUA_E1UQBAxqH4AnAmK2cDxsksphOZgF7tV86ziaNa-mrhzl4uNihBEs4_l_QZnH3te3vjZfETo-1dgtQ'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
